{% extends 'base.html.twig' %}

{% block title %}Question{% endblock %}

{% block body %}
    <h1>Question</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ question.id }}</td>
            </tr>
            <tr>
                <th>EstOptionnelle</th>
                <td>{{ question.estOptionnelle ? 'Yes' : 'No' }}</td>
            </tr>
            <tr>
                <th>TypeQuestion</th>
                <td>{{ question.typeQuestion }}</td>
            </tr>
            <tr>
                <th>TitreQuestion</th>
                <td>{{ question.titreQuestion }}</td>
            </tr>
            <tr>
                <th>NumeroQuestion</th>
                <td>{{ question.numeroQuestion }}</td>
            </tr>
        </tbody>
    </table>
    {% if question.typeQuestion != 'input' %}

        <a href="/reponse/new/{{ question.id }}">Ajouter une réponse possible</a>

        <h2>Liste des réponses</h2>
        <ul>
            {% if question.reponses is not empty %}
                {% for i in range(0, question.reponses|length - 1) %}
                    <li>{{ i + 1 }} : {{ question.reponses[i].intitule }} <a href="/reponse/delete/{{ question.reponses[i].id }}">Retirer</a></li>
                {% endfor %}
            {% else %}
                <li>Il n'y a pas de réponse enregistré</li>
            {% endif %}
        </ul>
    {% endif %}

    <h1>Ensemble des réponse d'utilisateur</h1>
    <ul>
        {% for question in question.getQuestionRepondues() %}
                {% for reponse in question %}
                        <li>{{ reponse.valeur }}</li>
                {% endfor %}
        {% endfor %}
    </ul>

    <a href="{{ path('app_controleur_sondage_show', {'id': question.sondage.id}) }}">back to list</a>

    <a href="{{ path('app_controleur_question_edit', {'id': question.id}) }}">edit</a>

    {{ include('controleur_question/_delete_form.html.twig') }}
{% endblock %}
